QuantLib: ExtendedTrigeorgis Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ExtendedTrigeorgis Class Reference
Lattice methods

Trigeorgis (additive equal jumps) binomial tree More...

`#include <ql/experimental/lattices/extendedbinomialtree.hpp>`

Inheritance diagram for ExtendedTrigeorgis:
[legend]

## Public Member Functions
| ExtendedTrigeorgis (const boost::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)
Public Member Functions inherited from ExtendedEqualJumpsBinomialTree< ExtendedTrigeorgis >
| ExtendedEqualJumpsBinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Real | underlying (Size i, Size index) const
Real | probability (Size i, Size, Size branch) const
Public Member Functions inherited from ExtendedBinomialTree< ExtendedTrigeorgis >
| ExtendedBinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, Time end, Size steps)
Size | size (Size i) const
Size | descendant (Size, Size index, Size branch) const
Public Member Functions inherited from Tree< ExtendedTrigeorgis >
| Tree (Size columns)
Size | columns () const

## Protected Member Functions
Real | dxStep (Time stepTime) const
Real | probUp (Time stepTime) const
Protected Member Functions inherited from ExtendedBinomialTree< ExtendedTrigeorgis >
Real | driftStep (Time driftTime) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< ExtendedTrigeorgis >
ExtendedTrigeorgis & | impl ()
const ExtendedTrigeorgis & | impl () const

## Additional Inherited Members
Public Types inherited from ExtendedBinomialTree< ExtendedTrigeorgis >
enum | Branches
Protected Attributes inherited from ExtendedEqualJumpsBinomialTree< ExtendedTrigeorgis >
Real | dx_
Real | pu_
Real | pd_
Protected Attributes inherited from ExtendedBinomialTree< ExtendedTrigeorgis >
Real | x0_
Real | driftPerStep_
Time | dt_
boost::shared_ptr< StochasticProcess1D > | treeProcess_

## Detailed Description

Trigeorgis (additive equal jumps) binomial tree